{
  "compileOnSave": false,
  "compilerOptions": {
    "downlevelIteration": true,
    "importHelpers": true,
    "outDir": "./dist/out-tsc",
    "sourceMap": true,
    "declaration": false,
    "moduleResolution": "node",
    "emitDecoratorMetadata": true,
    "experimentalDecorators": true,
    "target": "ES2022",
    "typeRoots": [
      "node_modules/@types"
    ],
    "lib": [
      "ES2022",
      "dom"
    ],
    "module": "ES2022",
    "baseUrl": "./src",
    "paths": {
      "@app/*": [
        "./src/app/*"
      ],
      "@common/*": [
        "./src/common/*"
      ]
    }
  },
  "angularCompilerOptions": {
    "_enabledBlockTypes": [
      "if",
      "switch",
      "for",
      "defer"
    ]
  }
}